# Copyright (C) 2010-2014 GRNET S.A.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import include, patterns

from snf_django.lib.api import api_endpoint_not_found
from synnefo.api import (networks, ports, floating_ips, subnets)


network_api20_patterns = patterns(
    '',
    (r'^networks', include(networks)),
    (r'^ports', include(ports)),
    (r'^subnets', include(subnets)),
    (r'^floatingips', include(floating_ips.ips_urlpatterns)),
)

urlpatterns = patterns(
    '',
    (r'^v2.0/', include(network_api20_patterns)),
    (r'^.*', api_endpoint_not_found),
)
